DKBSignDocs

API reference

POSTRequires Bearer token

Process a workflow step

/api/workflows/transactions/step/process

Submit `/api/workflows/transactions/step/process`. Authenticated routes need `Authorization: Bearer {token}` from `POST /api/v1/login`.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
transaction_id
Required
integerCurrent step transaction.
e.g. 44
action
Required
stringStep action (`validate`, `sign`, …).
e.g. "validate"
comment
stringOptional comment.

Responses

StatusMeaning
500See the example response.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/workflows/transactions/step/process' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"transaction_id":44,"action":"validate"}'

Response 200

json
{
  "status": "success",
  "message": "Upstream response is forwarded unchanged."
}